JOURNAL_LOCK_UPDAT(9)

NAME
journal_lock_updates - establish a transaction barrier.

SYNOPSIS

void journal_lock_updates (journal_t * journal);

ARGUMENTS

journal
    Journal to establish a barrier on.

DESCRIPTION

This locks out any further updates from being started, and blocks until all existing updates have completed, returning only once the journal is in a quiescent state with no updates running.

The journal lock should not be held on entry.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.